#include <stdio.h>
#include "OB90A64U1.h"
#include "gpio.h"
#include "uart.h"

extern uint32_t g_GPIO0Interrupt;
extern uint32_t g_GPIO1Interrupt;
extern uint32_t g_GPIO2Interrupt;
extern uint32_t g_GPIO3Interrupt;

void Dealay(uint32_t nCount)
{
    while(nCount--);
}

int main(void)
{
    SystemCoreClockUpdate();

    GPIO_SetPinMFType(OB_GPIO0, GPIO_PIN14, GPIO_MF_UART_RX);
    GPIO_SetPinMFType(OB_GPIO0, GPIO_PIN13, GPIO_MF_UART_TX);
    UART_Open(OB_UART0, 19200);

    //----------------P0-----------------------
    GPIO_SetPinMode(OB_GPIO1, GPIO_PIN5, GPIO_PINMODE_INPUT);
    GPIO_EnableINT(OB_GPIO1, GPIO_PIN5, GPIO_INTMODE_RISING_EDGE);
    while(1)
    {
        if (g_GPIO1Interrupt != 0x00)
        {
            g_GPIO1Interrupt = 0x00;
            printf(" GPIO triggers an interrupt event( rising edge) \n\r");
        }
    }
}
